mostly a bunch of fixes
[distro-setup] / btrbk-spread-wrap
1 #!/bin/bash
2
3 [[ $EUID == 0 ]] || exec sudo -E "${BASH_SOURCE[0]}" "$@"
4
5 if ! test "$BASH_VERSION"; then echo "error: shell is not bash" >&2; exit 1; fi
6 shopt -s inherit_errexit 2>/dev/null ||: # ignore fail in bash < 4.4
7 set -eE -o pipefail
8 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" exit status: $?, PIPESTATUS: ${PIPESTATUS[*]}" >&2' ERR
9
10 /a/exe/install-my-scripts
11 printf "%s\n" -k >/etc/btrbk-run-once.conf
12 # running start if it is already starting causes it to just wait until
13 # it done starting. In that case, we'd need to run it twice, or we have
14 # another unit which has an After=, eg btrbk-spread, but that isn't as
15 # good because, we can't have btrbk have After= on btrbk-spread, and
16 # what if btrbk-spread is itself already running, we have the same
17 # problem.
18 systemctl start btrbk
19 if [[ -s /etc/btrbk-run-once.conf ]]; then
20 systemctl start btrbk
21 fi